
https://medium.com/@joel.barmettler/how-to-upload-your-python-package-to-pypi-65edc5fe9c56


The PyPi package index is one of the properties that makes python so powerfull: With just a simple command, you get access to thousands of cool libraries, ready for you to use. In this short introduction, I am going to explain how you can upload upload your own code to PyPi and let others profit from your inventions. On the following pages, I am going to show you the following steps:

- Make your code publish-ready
- Create a python package
- Create the files PyPi needs
- Create a PyPi account
- Upload your package to github.com
- Upload your package to PyPi
- Install your own package using pip
- Change your package






